#include <stdio.h>
#include<GLUT/glut.h> 


void init(void)
{
	glClearColor(0.0,0.0,0.0,0.0);						//clear background color to black 
	glColor3f(1.0,0.0,0.0);								//set drawing color to red 
	//Setup the standard orthogonal view 
	//This is a defult setting and the following statements could be removed 
	glMatrixMode(GL_PROJECTION); 
	gluOrtho2D(-250.0,250.0,-250.0,250.0);
}

void drawPixel(int x, int y) 
{
	glBegin(GL_POINTS);
		glColor3f(1.0,1.0,1.0); 
		glVertex2i(x,y); 
	glEnd(); 
}

void draw()
{
	//clear window 
	glClear(GL_COLOR_BUFFER_BIT); 
	//glPointSize(1.0); 
	
	for (int i=0; i<50;i++)
		drawPixel(i, i);

	glFlush();

}


int main (int argc, char * argv[])
{
	
	//GLUT Window System 
	glutInit(&argc,argv);								//initialize GLUT 
	glutInitWindowPosition(20,20);						//start the widnow from the point (20,20) in the upper-left corner 
	glutInitWindowSize(500,500);						//set window width to 200 pixel and height to 200 
	glutInitDisplayMode(GLUT_SINGLE | GLUT_RGB);		//initialize display mode 
	glutCreateWindow("Welcome to Draw Pixel Program");	//draw window with a title
	init();												//initilize OpenGL 
	glutDisplayFunc(draw);							//call graphics to be displayed on the screen 
	glutMainLoop();										//call everything and wait
}
